#ifndef FIRE_BALL_H
#define FIRE_BALL_H

/*========================================================================
Class Name	: FireBall
Authors		: Ewan Duncan
Description	: Class that represents a fire ball that can be thrown by the
			  player and is used to burn webs.
=========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include "game_object.h"

/*-------------------------------------------------------------------------
FIREBALL CLASS
-------------------------------------------------------------------------*/
class FireBall : public GameObject
{
public:

	FireBall(float x_position, float y_position, Direction direction);

	void Update();

private:
	sf::Vector2f end_uv_;
	bool animation_finished_;
};

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
#endif
