#ifndef START_STATE_H
#define START_STATE_H

/*=========================================================================
Class Name	: StartState
Authors		: Ewan Duncan
Description	: Displays the start screen
========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include <SFML/Graphics.hpp>

#include "state_manager.h"
#include "game_object.h"

/*-------------------------------------------------------------------------
STARTSTATE CLASS
-------------------------------------------------------------------------*/
class StartState : public State
{
 public:
	void	Init(),
			CleanUp(),
			Pause(),
			Resume(),
			Update(StateManager *state_manager),
			Render();

 private:
	sf::Texture texture_;
	GameObject start_;
};

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
#endif
